package intrinsic.mx.managers;

public class HistoryManagerImpl extends Object implements intrinsic.mx.managers.IHistoryManager {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public HistoryManagerImpl() {
}


/** Static Methods */
public static native intrinsic.mx.managers.IHistoryManager getInstance();

/** Methods */
public native void browserURLChangeHandler(intrinsic.mx.events.BrowserChangeEvent arg0);
public native void load(Object arg0);
public native void register(intrinsic.mx.managers.IHistoryManagerClient arg0);
public native void registerHandshake();
public native void registered();
public native void unregister(intrinsic.mx.managers.IHistoryManagerClient arg0);
public native void loadInitialState();
public native void save();

}
